View Issue Details

IDProjectCategoryView StatusLast Update
0005043SOGoWeb Mailpublic2020-07-02 00:41
Reporterabma Assigned Tofrancis  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version4.3.2 
Fixed in Version4.3.3 
Summary0005043: SOGoLDAPGroupExpansionEnabled doesn't work any more
Description

since a few weeks the group expansion doesn't work any more: when clicking on the "plus" only one empty reciepient is added.

Steps To Reproduce

use sogo with SOGoLDAPGroupExpansionEnabled=YES

write new mail, select a group as recipient, click on the plus

Additional Information

the bug was introduced after upgrading from 4.3.0.20200309-1 to 4.3.2.20200517-1.

TagsNo tags attached.

Activities

abma

abma

2020-06-04 15:01

reporter   ~0014391

maybe https://github.com/inverse-inc/sogo/pull/263 is to blame?

abma

abma

2020-06-04 15:25

reporter   ~0014392

it looks like https://github.com/inverse-inc/sogo/commit/b94175cc0c8bf47c0e63655fa2a67a010c60088f

seems to make sogo always return the same result for group members:

i.e. https://example.org/SOGo/so/user/Contacts/addressbook/groupa/members

returns the same as
https://example.org/SOGo/so/user/Contacts/addressbook/groupb/members

francis

francis

2020-06-04 16:20

administrator   ~0014393

This commit has been reverted for now.

abma

abma

2020-06-05 11:43

reporter   ~0014395

the revert fixes #c14392 :

SOGoLDAPGroupExpansionEnabled=YES still doesn't work with 4sogo .3.2.20200605-1: when clicking on the "plus" no members are shown, just an empty address is added.

werter

werter

2020-06-25 02:31

reporter   ~0014427

The same (
Latest nightly build.

rof

rof

2020-07-01 03:10

reporter   ~0014448

We have the same problem with version 4.3.2.20200618

francis

francis

2020-07-01 18:01

administrator   ~0014449

Ref: https://github.com/inverse-inc/sogo/commit/b8595d7ae6d1c961f03eaea0e870aa0f117e7b9b

Related Changesets

sogo: master b8595d7a

2020-07-01 16:58:16

francis

Details Diff
fix(calendar): return SOGoUser instances when expanding LDAP groups

Fixes 0005043
Affected Issues
0005043
mod - SoObjects/Appointments/SOGoAppointmentFolder.m Diff File
mod - SoObjects/Appointments/SOGoCalendarComponent.m Diff File
mod - SoObjects/SOGo/LDAPSource.m Diff File
mod - SoObjects/SOGo/SOGoGCSFolder.m Diff File
mod - UI/Contacts/UIxContactView.m Diff File

Issue History

Date Modified Username Field Change
2020-06-04 14:41 abma New Issue
2020-06-04 15:01 abma Note Added: 0014391
2020-06-04 15:25 abma Note Added: 0014392
2020-06-04 16:20 francis Assigned To => francis
2020-06-04 16:20 francis Status new => resolved
2020-06-04 16:20 francis Resolution open => fixed
2020-06-04 16:20 francis Note Added: 0014393
2020-06-05 11:43 abma Status resolved => feedback
2020-06-05 11:43 abma Resolution fixed => reopened
2020-06-05 11:43 abma Note Added: 0014395
2020-06-25 02:31 werter Note Added: 0014427
2020-07-01 03:10 rof Note Added: 0014448
2020-07-01 18:01 francis Status feedback => resolved
2020-07-01 18:01 francis Resolution reopened => fixed
2020-07-01 18:01 francis Fixed in Version => nightly master
2020-07-01 18:01 francis Note Added: 0014449
2020-07-01 18:01 francis Fixed in Version nightly master => 4.3.3
2020-07-02 00:41 francis Changeset attached => sogo master b8595d7a